/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Tokuno Quest\Part 3 Bad Beetles\conversations.cs
Lines of code: 61
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.BadBeetlesKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You're on a quest right now. I can only use your services if you're not on a quest.";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "I'm glad to hear you'll assist me. Search around these forests, they shouldn't have gotten very far. Don't kill any beetles outside of this area though as they probably aren't the ones I owned and I hate to kill any innocent beetles. Kill those evil mages right away if you see them. I don't want them cursing anything else!<br>I've got a reward for you upon completion of your task. Find me when you've killed all of them.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			QuestKillEntry entry1 = new QuestKillEntry("RuneBeetle","Rune Beetles in Beetlescape", 10);
			entry1.AddLocation(new Rectangle2D(new Point2D(692,150),new Point2D(904,384)),Map.Tokuno);
			
			QuestKillEntry entry2 = new QuestKillEntry("EvilMage","Evil Mages in Beetlescape", 20);
			entry2.AddLocation(new Rectangle2D(new Point2D(692,150),new Point2D(904,384)),Map.Tokuno);
			
			ko.AddQKE(entry1);
			ko.AddQKE(entry2);
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}

	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Good Job. Juro was wise in sending you. Here's a big bag of treasure for you. Many thanks, my friend.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			BadBeetlesKillQuest.GiveRewardTo( System.From );
		}
	}		
	
	
}